Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
Remove or replace pre-java-8 MaxPermSize jvm args from the codebase

  1. … 19 more files in changeset.
Remove or replace pre-java-8 MaxPermSize jvm args from the codebase

  1. … 19 more files in changeset.
Remove or replace pre-java-8 MaxPermSize jvm args from the codebase

  1. … 20 more files in changeset.
Remove or replace pre-java-8 MaxPermSize jvm args from the codebase

  1. … 21 more files in changeset.
Remove or replace pre-java-8 MaxPermSize jvm args from the codebase

  1. … 19 more files in changeset.
Remove or replace pre-java-8 MaxPermSize jvm args from the codebase

  1. … 19 more files in changeset.
Upgrade Groovy version to customized 1.1-2.5.7

  1. … 39 more files in changeset.
Upgrade Groovy version to customized 1.1-2.5.7

  1. … 40 more files in changeset.
Upgrade Groovy version to customized 1.1-2.5.7

  1. … 39 more files in changeset.
Upgrade Groovy version to customized 1.1-2.5.7

  1. … 40 more files in changeset.
Upgrade Groovy version to customized 1.0-2.5.7

x

  1. … 39 more files in changeset.
Unify Groovy versions to 2.5.4

  1. … 35 more files in changeset.
Unify Groovy versions to 2.5.4

  1. … 35 more files in changeset.
Unify Groovy versions to 2.5.4

  1. … 35 more files in changeset.
Unify Groovy versions to 2.5.4

  1. … 35 more files in changeset.
Upgrade Groovy to 2.5.7

  1. … 39 more files in changeset.
Unify Groovy versions to 2.5.4

  1. … 35 more files in changeset.
Favor unambiguous apply() functions over the ambiguous apply {}

`apply {}` is ambiguous due to the `kotlin-stdlib` extension function

with the same name on `Any` that shadows our `apply {}` in some cases.

This commit contains mechanical changes of all apply {} usages, favoring

the unambiguous equivalent functions.

See the discussion in gradle/kotlin-dsl#682 for more details.

Signed-off-by: Paul Merlin <paul@gradle.com>

  1. … 16 more files in changeset.
Use Groovy 2.4.15

  1. … 20 more files in changeset.
Upgrade to Groovy 2.4.10

Especially because binary incompatibility between Groovy 2.4.7 and 2.4.9 - https://issues.apache.org/jira/browse/GROOVY-8107

+review REVIEW-6487

  1. … 35 more files in changeset.
Upgrade Groovy to 2.4.9 in more places

+review REVIEW-6468

  1. … 5 more files in changeset.
Introduce GradleScriptKotlinBuildPerformanceTest

With first use scenario against many projects.

See gradle/gradle-script-kotlin#184

  1. … 5 more files in changeset.